// lokomot.h - Klasa lokomotiva.

#ifndef _lokomot_h_
#define _lokomot_h_

#include "vozilo2.h"
#include <iostream>
using namespace std;

namespace Vozovi1 {
  class Lokomot: public Vozilo {
    float vsnaga;                       // Vucna snaga.
    void pisi(ostream& it) const        // Pisanje.
      { Vozilo::pisi(it); it << '(' << vsnaga << ')'; }
  public:
    static const char VR = 'L';         // Oznaka lokomotiva.
    Lokomot(float sopTez, float vs): Vozilo( sopTez)     // Sopstvena te.
      { vsnaga = vs; }
    char vrsta() const { return VR; }                    // Oznaka vrste.
    float ukTezina() const { return sopTezina(); }       // Ukupna teina.
    float snaga() const { return vsnaga; }               // Vucna snaga.
    Lokomot* kopija() const {return new Lokomot(*this);} // Kopiranje.
  }; // class
} // namespace

#endif
