// nizpravoug.h - Deklaracije paketa za obradu
//                dinamickih nizova pravougaonika u ravni.

#include "pravoug1.h"
#include <iostream>
using namespace std;

namespace Geometr {
  struct NizPrav { int n; Pravoug* a; };

  inline void pravi(NizPrav& niz) { niz.n = 0; niz.a = 0; }

  void citaj(NizPrav& niz);

  void pisi(const NizPrav& niz);

  void brisi(NizPrav& niz);

  void kopiraj(NizPrav& niz1, const NizPrav& niz2);

  void uredi(NizPrav& niz);
}
