// zbirka.h - Apstraktna klasa zbirki apstraktnih predmeta.

#ifndef _zbirka_h_
#define _zbirka_h_

#include "predmet2.h"

namespace Zbirke {
  class GIndeks {};  // GREKA: Indeks izvan opsega.

  class Zbirka {
  public:
    virtual ~Zbirka() {}                        // Virtuelan destruktor.
    virtual const char* vrsta() const =0;       // Ime vrste zbirke.
    virtual int vel() const =0;                 // Broj predmeta u zbirci.
    virtual Zbirka& operator+=(const Predmet& p) =0; // Dodavanje predm.
    virtual Predmet*& operator[](int i) =0;     // Dohvatanje elementa
    virtual const Predmet*const& operator[](int i) const =0; // (pokaz.!).
    virtual Zbirka& operator~() =0;             // Pranjenje zbirke.
    friend ostream& operator<<(ostream& it, const Zbirka& z); // Pisanje.
  };
} // namespace

#endif
