// osoba2.h - Klasa osoba.

#ifndef _osoba2_h_
#define _osoba2_h_

#include <cstring>
#include <iostream>
using namespace std;

class Osoba {
  char* ime;                             // Ime.
  int god;                               // Godine starosti.
  Osoba(const Osoba&) {}                 // Ne sme da se kopira.
  void operator=(const Osoba&) {}        // Ne sme da se dodlejuje.
public:
  Osoba(const char* ii, int gg) {       // Konstruktor.
    ime = new char [strlen(ii) + 1];
    strcpy(ime, ii);
    god = gg;
  }
  virtual ~Osoba() { delete [] ime; }    // Virtuelan destruktor.
  friend bool operator>(const Osoba& o1, // Da li je starija?
                        const Osoba& o2)
    { return o1.god > o2.god; }
protected:
  virtual void pisi(ostream& it) const   // Pisanje.
    { it << ime << '(' << god << ')'; }
  friend ostream& operator<<(ostream& it, const Osoba& oso)
    { oso.pisi(it); return it; }
};

#endif
