// podatak.h - Apstraktna klasa podataka.

#ifndef _podatak_h_
#define _podatak_h_

#include <iostream>
using namespace std;

class Podatak {
public:
  virtual ~Podatak() {}                        // Virtuelan destruktor.
  virtual Podatak* kopija() const = 0;         // Kopiranje.
private:
  virtual void pisi(ostream& it) const = 0;    // Pisanje.
  friend ostream& operator<<(ostream& it, const Podatak& pp)
    { pp.pisi(it); return it; }
};

#endif
