// potrosac2.h - Genericka klasa potroaca.

#ifndef _potrosac2_h_
#define _potrosac2_h_

#include "akter.h"
#include "skladiste.h"

template <typename T>
class Potrosac: public Akter {
  Skladiste<T>* sklad;                        // Izvorino skladite.
public:
  Potrosac(Skladiste<T>* s, double tMin=0,    // Inicijalizacija.
           double tMax=1): Akter(tMin, tMax)
    { sklad = s; }
  void radnja() {                             // Radnja potroaca.
    cout << *this << ": ";
    try { cout << "uzeo " << sklad->uzmi() << endl; }
      catch (GPrazno g) { cout << g << endl; }
  }
};

#endif
