// skola.h - Klasa kola.

#ifndef _skola_h_
#define _skola_h_

#include "lista7.h"
#include "djak.h"
#include <cstring>
using namespace std;

class Skola {
  char* ime;                               // Ime kole.
  Lista<Djak*> djaci;                      // Lista daka.
  Skola(const Skola&);                     // Ne sme da se kopira.
  void operator=(const Skola&) {}          // Ne sme da se dodeljuje.
public:
  Skola(const char* ii)                    // Konstruktor.
    { ime = strcpy(new char [strlen(ii)+1], ii); }
  ~Skola() { delete [] ime; }              // Destruktor.
  Skola& operator+=(Djak& djak)            // Dodavanje daka.
    { djaci.dodaj(&djak); return *this; }
  const Djak* najbolji() const;            // ak s najviim prosekom.
};

#endif
