// telo2.h  Apstraktna klasa tela.

#ifndef _telo2_h_
#define _telo2_h_

#include "predmet3.h"

namespace Predmeti {
  class Telo: public Predmet {
    double sigma;                               // Specificna teina.
  public:
    Telo(double s=1) { sigma = s; }             // Stvaranje.
    double spTez() const { return sigma; }      // Specificna teina.
    double Q() const { return sigma * V(); }    // Teina.
  protected:
    void pisi(ostream& it) const                // Pisanje.
      { Predmet::pisi(it); it << '(' << sigma << ';'; }
  }; // class Telo
} // namespace Predmeti

#endif
