// voz2.h - Klasa vozova.

#ifndef _voz2_h_
#define _voz2_h_

#include "niz6.h"
#include "vozilo4.h"
#include <iostream>
using namespace std;

class GPreopt {};             // KLASA GREAKA: Voz je preopterecen.
inline ostream& operator<<(ostream& it, const GPreopt&)
  { return it << "*** Voz je preopterecen! ***"; }

class Voz {                             // KLASA VOZOVA:
  Niz<Vozilo> vozila;                   // Niz vozila.
  Voz(const Voz&) {}                    // Ne sme da se kopira.
  void operator=(const Voz&) {}         // Ne sme da se dodeljuje.
public:
  explicit Voz(int k): vozila(k) {}     // Stvaranje praznog voza.
  int duzina() const                    // Duina voza.
    { return vozila.duzina(); }
  bool preopt(Vozilo* v) const;         // Da li bi se preopteretio?
  Voz& operator+=(Vozilo* v) {          // Preuzimanje vozila po adresi.
    if (preopt(v)) throw GPreopt();
    vozila += v;
    return *this;
  }
  friend ostream& operator<<(ostream& it, const Voz& v); // Pisanje.
};

#endif
