// vozilo4.h - Apstraktna klasa vozila.

#ifndef _vozilo4_h_
#define _vozilo4_h_

#include <iostream>
using namespace std;

class Vozilo {
  double sopTez;                              // Sopstvena teina.
  Vozilo(const Vozilo&) {}                    // Ne sme da se kopira.
  void operator=(const Vozilo&) {}            // Ne sme da se dodeljuje.
public:
  explicit Vozilo(double st) { sopTez = st; } // Inicijalizacija.
  virtual ~Vozilo() {}                        // Virtuelan destruktor.
  virtual double ukTezina() const             // Ukupna teina.
    { return sopTez; }
  virtual double vucnaSnaga() const =0;       // Vucna snaga.
private:
  virtual void pisi(ostream& it) const =0;    // Pisanje.
  friend ostream& operator<<(ostream& it, const Vozilo& v)
    { v.pisi(it); return it; }
};

#endif
